<?php

namespace common\logic\Opinion\Module;

use common\logic\AbstractModule;
use common\logic\Opinion\Service\OpinionManager;

/**
 * @mixin OpinionManager
 */
class OpinionModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            OpinionManager::class
        ];
    }

    public function getManager(): OpinionManager
    {
        return OpinionManager::getInstance();
    }
}